excelExporter.excelParser.dataModel

## Enum RowObjectContainer.PseudoFieldName

- java.lang.Object
- - java.lang.Enum<RowObjectContainer.PseudoFieldName>
  - - excelExporter.excelParser.dataModel.RowObjectContainer.PseudoFieldName

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RowObjectContainer.PseudoFieldName>
  Enclosing class:
    RowObjectContainer

      public static enum RowObjectContainer.PseudoFieldName
      extends java.lang.Enum<RowObjectContainer.PseudoFieldName>

  This is the list of pseudo-fields of class `RowObjectContainer` that can be accessed from a StringTemplate V4 template. The enumerated fields can be accessed like ordinary public fields from a StringTemplate V4 template. The dot notation is used to do so. Taking the first named value `rowAry` as an example, one would write `<container.rowAry>` to access the related pseudo-field.

  A short explanation of each pseudo-field and a reference to more in-depth information can be found as description of each named value of the enumeration.

  Please note, that the pseudo-fields of the base class `ObjectMap` are inherited and can be accessed, too. See `ObjectMap.PseudoFieldName`.

  A detailed discussion of pseudo-fields and the enumeration of these can be found in the class description of `ObjectMap`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `groupAry` The list `ObjectMap.itemAry` of sub-group/container objects of the given container.
    `noGroups` The number of sub-groups/containers in the given group/container.
    `noRows` The number `RowObjectContainer.getNoRows()` of row objects in the group/container.
    `prop` If `RowObjectContainer.getNoRows()` returns one then this pseudo-field `RowObjectContainer.prop` holds a reference to the one and only row object in `RowObjectContainer.rowAry`.
    `rowAry` The list `RowObjectContainer.rowAry` of row objects in the group/container.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RowObjectContainer.PseudoFieldName` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RowObjectContainer.PseudoFieldName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### rowAry

          public static final RowObjectContainer.PseudoFieldName rowAry

      The list `RowObjectContainer.rowAry` of row objects in the group/container.

      From a StringTemplate V4 template it would be accessed with an expression like `<container.rowAry>`.

    - #### noRows

          public static final RowObjectContainer.PseudoFieldName noRows

      The number `RowObjectContainer.getNoRows()` of row objects in the group/container.

      From a StringTemplate V4 template it would be accessed with an expression like `<container.noRows>`.

    - #### prop

          public static final RowObjectContainer.PseudoFieldName prop

      If `RowObjectContainer.getNoRows()` returns one then this pseudo-field `RowObjectContainer.prop` holds a reference to the one and only row object in `RowObjectContainer.rowAry`. If the container has any other number of row objects then the reference `RowObjectContainer.prop` is null.

      From a StringTemplate V4 template the only row object would be accessed with an expression like `<container.prop>`.

    - #### groupAry

          public static final RowObjectContainer.PseudoFieldName groupAry

      The list `ObjectMap.itemAry` of sub-group/container objects of the given container. This pseudo-field is an alias to access the pseudo-field `ObjectMap.PseudoFieldName.itemAry` of the base class.

      From a StringTemplate V4 template the list would be accessed with an expression like `<container.groupAry>`.

    - #### noGroups

          public static final RowObjectContainer.PseudoFieldName noGroups

      The number of sub-groups/containers in the given group/container. This pseudo-field is an alias to access the pseudo-field `ObjectMap.PseudoFieldName.noItems`.

      From a StringTemplate V4 template the number would be accessed with an expression like `<container.noGroups>`.

  - ### Method Detail

    - #### values

          public static RowObjectContainer.PseudoFieldName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RowObjectContainer.PseudoFieldName c : RowObjectContainer.PseudoFieldName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RowObjectContainer.PseudoFieldName valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null